System.Design 2.0.0.0 System.Web.UI.Design.ControlDesigner System.Web.UI.Design.IHierarchicalDataSourceDesigner

The class is a base class for deriving your own data source designer for a custom data source control derived from the class. Other classes that derive from are and .

Provides design-time support in a visual designer for the control.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionListCollection To be added. To be added.

  Gets the action list collection for the control designer.

- Property
  2.0.0.0
  System.Boolean To be added.

  A design host, such as vsprvslong, uses this property to determine whether to show a Configure command in the Smart-Tag menu in design view.

  Gets a value that indicates whether the method can be called.

- Property
  2.0.0.0
  System.Boolean To be added.

  A design host, such as vsprvslong, uses this property to determine whether to show a Refresh Schema command in the Smart-Tag menu in design view.

  Gets a value that indicates whether the method can be called.

- Method
  2.0.0.0
  System.Void

  The method is not supported in the class.

  Launches the configuration wizard for the underlying data source.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when any property of the associated data source changes.

- Method
  2.0.0.0
  System.String To be added. To be added.

  Gets the HTML markup that is used to represent the control at design time.

- Method
  2.0.0.0
  System.Web.UI.Design.DesignerHierarchicalDataSourceView `` To be added.

  Gets the named data source view associated with the data source control.

  A object.

  The unique path to the block of data to use in creating the view.
- Method
  2.0.0.0
  System.Void ``

  The method notifies the designer of each control bound to the associated data source to refresh its control in the design host. This method can be suppressed with the method, or by calling the method with an argument of false.

  Raises the event when the properties of the data source have changed and the property value is false.

  An object provided by the calling object.
- Method
  2.0.0.0
  System.Void ``

  This method notifies the designers of each control bound to the associated data source that the fields in the schema have changed. This method can be suppressed with the method, or by calling the method with an argument of true.

  Raises the event when the schema of the data source has changed and the property value is false.

  An object.
- Method
  2.0.0.0
  System.Void ``

  This method is not supported in this class, but is implemented in derived classes, such as the class.

  Refreshes the schema of the data.

  This parameter is not used in this implementation. However, it should be supported in derived classes.
- Method
  2.0.0.0
  System.Void

  Data source events can be suppressed by setting the property to false, or by calling the method with an argument of true.

  Restores data source events after they have been suppressed.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs after the schema has been refreshed.

- Method
  2.0.0.0
  System.Void To be added.

  Postpones all data source events until after the method is called.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Indicates whether data source events have been disabled.